unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Animate1: TAnimate;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    i:integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Animate1.FileName:=GetCurrentDir+'\Cool.avi';
  Animate1.Active:=true;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Animate1.Stop;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 i:=(i+1) mod Animate1.FrameCount;
 Animate1.StartFrame:=i;
end;

end.
